Skip to main content

Purge Status

This API is used to retrieve the status of a purge by batch ID.

Request

Request-Line

GET /cdn/v1.0/services/{serviceId}/purgeStatus/{batchId} HTTP/1.1

Request Parameters

Path Parameters

ParameterTypeRequiredDescription
serviceIdIntegerMandatoryThe unique identifier of the service.
batchIdIntegerMandatoryThe unique identifier of the purge batch.

Response

Response Body

ParameterTypeDescription
batchObjectBatch information object. See BatchVO for details.

Object: BatchVO

ParameterTypeDescription
idIntegerUnique identifier of the purge batch.
totalUrlsIntegerTotal number of URLs submitted for purging.
failedUrlNumIntegerNumber of URLs that failed to purge.
succeedUrlNumIntegerNumber of URLs that were successfully purged.
createdAtStringTimestamp when the purge batch was created (ISO 8601 UTC format).
finishedAtStringTimestamp when the purge batch completed processing (ISO 8601 UTC format ).
urlInfoMapStatus information for each URL in the batch. See Map for details.

Object: Map

ParameterTypeDescription
keyStringThe URL string serving as the map key.
valueObjectURL status information. See UrlInfoVO for details.

Object: UrlInfoVO

ParameterTypeDescription
statusStringCurrent processing status of the URL. Supported values: PENDING, COMPLETE, FAILED.
finishedAtStringTimestamp when the URL processing was completed (ISO 8601 UTC format).

Status Codes, Error Codes and Error Messages

Status CodeError CodeError Message
400Request.BadRequestBad request.
400InvalidCustomer.IdEmptyCustomer ID cannot be empty or invalid.
400InvalidService.IdIncorrectService ID is empty or invalid.
400InvalidService.IdPermissionService ID cannot be found or unknown.
400InvalidPurge.BatchIdThe batch ID cannot be empty or invalid.

Examples

Purge By URL

Request

GET /cdn/v1.0/services/228856/purgeStatus/697 HTTP/1.1

Successful Response Body

{
"batch": {
"id": 697,
"createdAt": "2025-11-17T03:26:32.417Z",
"totalUrls": 3,
"failedUrlNum": 0,
"succeedUrlNum": 0,
"urlInfo": {
"http://fdhfhj.com/1.jpg": {
"status": "PENDING"
},
"http://fdhfhj.com/2.jpg": {
"status": "PENDING"
},
"http://fdhfhj.com/3.jpg": {
"status": "PENDING"
}
}
}
}